#ifndef PAMVMC_DET_TRK_H
#define PAMVMC_DET_TRK_H

#include "PamVMCDetector.h"

#include "PamVMCTrkSD.h"

class PamVMCTrkSD;

class PamVMCDetTrk  : public PamVMCDetector {

 public:


   PamVMCDetTrk():PamVMCDetector("Tracker") 
  {;  };
 
  void DefineGeometry();

  void DefineCuts();

  virtual void InitMC(){

    TString t = "TSPA";
    PamVMCTrkSD *trk = new PamVMCTrkSD();
    fdetSD.Add(new TObjString(t), trk);
    PamVMCSDMgr::Instance()->SetSD("TSPA",trk);
  }

  ClassDef(PamVMCDetTrk,1)
};


#endif //PAMVMC_DET_TRK_H
